Index: GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/include/LBBC/LBBCSampleConfigFile.h
===================================================================
--- GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/include/LBBC/LBBCSampleConfigFile.h	(revision 745)
+++ GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/include/LBBC/LBBCSampleConfigFile.h	(revision 747)
@@ -12,15 +12,19 @@
     virtual ~SampleConfigFile();
 
-	Ogre::String getEntitySampleMaterialPrefixName();
+	Ogre::String getEntitySampleMaterialName();
 
 	bool getEntityDistributionMerged();
 
-	Ogre::String getEntityDistributionSplittedMaterialPrefixName();
+	Ogre::String getEntityDistributionSplittedMeshName();
 
-	Ogre::String getEntityDistributionMergedMaterialPrefixName();
+	Ogre::String getEntityDistributionSplittedMaterialName();
+
+	Ogre::String getEntityDistributionMergedMeshName();
+
+	Ogre::String getEntityDistributionMergedMaterialName();
 
 	bool getEntityDistributionSplitted();
 
-	Ogre::String getEntitySampleMeshPrefixName();
+	Ogre::String getEntitySampleMeshName();
 
 	bool getEntityDistributionGeneration();
@@ -28,5 +32,5 @@
 	Ogre::String getEntityDistributionFolder();
 
-	Ogre::String getEntityDistributionXMLPrefixName();
+	Ogre::String getEntityDistributionXMLName();
 
 	Ogre::String getEntitiesFolder();
@@ -34,5 +38,5 @@
 	bool getEntitySampleMeshGeneration();
 
-	Ogre::String getEntitiesMeshPrefixName();
+	Ogre::String getEntitiesMeshName();
 
 	bool getEntityClustersGeneration();
@@ -50,9 +54,11 @@
 	bool getEntityClustersSplittedClusters();
 
-	Ogre::String getEntityClustersMeshPrefixName();
+	Ogre::String getEntityClustersMergedMeshName();
 
-	Ogre::String getEntityClustersMergedMaterialPrefixName();
+	Ogre::String getEntityClustersSplittedMeshName();
 
-	Ogre::String getEntityClustersSplittedMaterialPrefixName();
+	Ogre::String getEntityClustersMergedMaterialName();
+
+	Ogre::String getEntityClustersSplittedMaterialName();
 
 	bool getBillboardCloudMergedBillboards();
@@ -64,15 +70,27 @@
 	Ogre::String getBillboardCloudFolder();
 
-	Ogre::String getBillboardCloudMeshPrefixName();
+	Ogre::String getBillboardCloudMergedMeshName();
 
-	Ogre::String getBillboardCloudBillboardMaterialPrefixName();
+	Ogre::String getBillboardCloudGroupedMeshName();
 
-	Ogre::String getBillboardCloudBillboardGroupMaterialPrefixName();
+	Ogre::String getBillboardCloudSplittedMeshName();
 
-	Ogre::String getBillboardCloudBillboardTextureUnit0PrefixName();
+	Ogre::String getBillboardCloudMergedMaterialName();
 
-	Ogre::String getBillboardCloudBillboardGroupTextureUnit0PrefixName();
+	Ogre::String getBillboardCloudSplittedMaterialName();
 
-	Ogre::String getBillboardCloudXMLPrefixName();
+	Ogre::String getBillboardCloudGroupedMaterialName();
+
+	Ogre::String getBillboardCloudSplittedTextureUnit0Name();
+
+	Ogre::String getBillboardCloudMergedTextureUnit0Name();
+
+	Ogre::String getBillboardCloudGroupedTextureUnit0Name();
+
+	Ogre::String getBillboardCloudGroupedXMLName();
+
+	Ogre::String getBillboardCloudSplittedXMLName();
+
+	Ogre::String getBillboardCloudMergedXMLName();
 
 	unsigned int getBillboardCloudGroups();
@@ -82,7 +100,7 @@
 	bool getBillboardCloudDiffuseColorEntityTextureAtlasGeneration();
 
-	Ogre::String getBillboardCloudDiffuseColorEntityTexturePrefixName();
+	Ogre::String getBillboardCloudDiffuseColorEntityTextureName();
 
-	Ogre::String getBillboardCloudDiffuseColorEntityTextureAtlasPrefixName();
+	Ogre::String getBillboardCloudDiffuseColorEntityTextureAtlasName();
 
 	unsigned int getBillboardCloudDiffuseColorEntityTextureAtlasBitRange();
@@ -94,5 +112,5 @@
 	bool getBillboardCloudIndirectBillboardGroupTextureAtlasGeneration();
 
-	Ogre::String getBillboardCloudIndirectBillboardGroupTextureAtlasPrefixName();
+	Ogre::String getBillboardCloudIndirectBillboardGroupTextureAtlasName();
 
 	unsigned int getBillboardCloudIndirectBillboardGroupTextureAtlasBitRange();
@@ -106,5 +124,5 @@
 	bool getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasGeneration();
 
-	Ogre::String getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasPrefixName();
+	Ogre::String getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasName();
 
 	unsigned int getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasBitRange();
@@ -120,5 +138,5 @@
 	bool getBillboardCloudIndirectMergedBillboardsTextureAtlasGeneration();
 
-	Ogre::String getBillboardCloudIndirectMergedBillboardsTextureAtlasPrefixName();
+	Ogre::String getBillboardCloudIndirectMergedBillboardsTextureAtlasName();
 
 	unsigned int getBillboardCloudIndirectMergedBillboardsTextureAtlasBitRange();
Index: GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/include/LBBC/LBBCBillboardCloudTextureViewMode.h
===================================================================
--- GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/include/LBBC/LBBCBillboardCloudTextureViewMode.h	(revision 745)
+++ GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/include/LBBC/LBBCBillboardCloudTextureViewMode.h	(revision 747)
@@ -110,8 +110,4 @@
 		unsigned int mTextureSize;
 
-		Ogre::PixelFormat mTexturePixelFormat;
-
-		Ogre::String mEntityName;
-
 		unsigned int mBitRange;
 
@@ -124,5 +120,8 @@
 		Ogre::String mTextureAtlasFolder;
 
+		Ogre::String mEntityName;
+
 	public:
+
 		BillboardCloudTextureViewMode(Ogre::RenderWindow* win, unsigned int ogreFrameListenerModeHandle, bool useBufferedInputKeys = false, bool useBufferedInputMouse = false);
 
Index: GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/LBBCEntityTextureAtlasViewMode.cpp
===================================================================
--- GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/LBBCEntityTextureAtlasViewMode.cpp	(revision 745)
+++ GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/LBBCEntityTextureAtlasViewMode.cpp	(revision 747)
@@ -79,6 +79,5 @@
 
 			mTextureAtlas->update();
-			mTextureAtlas->debug();			
-			std::cin.get();
+			//mTextureAtlas->debug();			
 			mTextureAtlas->save(mTextureAtlasFolder, mTextureAtlasName, mDestPixelFormat);
 			mTextureAtlasGenerated = true;
Index: GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/IBRBillboardCloudTreeApplication.cpp
===================================================================
--- GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/IBRBillboardCloudTreeApplication.cpp	(revision 745)
+++ GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/IBRBillboardCloudTreeApplication.cpp	(revision 747)
@@ -21,35 +21,36 @@
 		mSampleConfigFile = new LBBC::SampleConfigFile();
 		mSampleConfigFile->load(mOpts.cfg);
-		//this->setup(false);
-		//mLBBCManager = new LBBC::LBBCManager();	
-		//mLBBCManager->setSampleConfigFile(mSampleConfigFile);
-		////mLBBCManager->loadSampleConfigFile(mOpts.cfg);
-		//mLBBCManager->initialize();
-
-		//if (mSampleConfigFile->getEntityDistributionGeneration())
-		//{
-		//	mLBBCManager->generateEntityDistribution();
-		//}
-		//else
-		//{
-		//	mLBBCManager->loadEntityDistribution();
-		//}
-		//if (mSampleConfigFile->getEntitySampleMeshGeneration())
-		//{
-		//	mLBBCManager->saveSingleEntity();
-		//}
-		//if (mSampleConfigFile->getEntityClustersGeneration())
-		//{
-		//	mLBBCManager->generateEntityClusters();
-		//}
-		//if (mSampleConfigFile->getBillboardCloudGeneration())
-		//{
-		//	mLBBCManager->generateBillboardCloud();
-		//}
-
-		//mLBBCManager->shutdown();
-		//delete mLBBCManager;
-		//mOgreBase->shutdown();		
-		//delete mOgreBase;
+		//----------------------------------------------------------------------------
+		this->setup(false);
+		mLBBCManager = new LBBC::LBBCManager();	
+		mLBBCManager->setSampleConfigFile(mSampleConfigFile);
+		//mLBBCManager->loadSampleConfigFile(mOpts.cfg);
+		mLBBCManager->initialize();
+
+		if (mSampleConfigFile->getEntityDistributionGeneration())
+		{
+			mLBBCManager->generateEntityDistribution();
+		}
+		else
+		{
+			mLBBCManager->loadEntityDistribution();
+		}
+		if (mSampleConfigFile->getEntitySampleMeshGeneration())
+		{
+			mLBBCManager->saveSingleEntity();
+		}
+		if (mSampleConfigFile->getEntityClustersGeneration())
+		{
+			mLBBCManager->generateEntityClusters();
+		}
+		if (mSampleConfigFile->getBillboardCloudGeneration())
+		{
+			mLBBCManager->generateBillboardCloud();
+		}
+
+		mLBBCManager->shutdown();
+		delete mLBBCManager;
+		mOgreBase->shutdown();		
+		delete mOgreBase;
 		//----------------------------------------------------------------------------
 		this->setup(true);
@@ -64,4 +65,6 @@
 			mFrameListener->getFrameListenerMode(iFrameListenerMode)->destroyScene();
 		}
+		mLBBCManager->shutdown();
+		delete mLBBCManager;
 		mRoot->shutdown();	
 		mWindow->destroy();	
@@ -149,33 +152,33 @@
 		anotherFrameListenerMode->createCamera();
 		anotherFrameListenerMode->createViewports();
-		//anotherFrameListenerMode->setEntityName(Ogre::String(mSampleConfigFile->getEntityClustersMeshPrefixName() + "Merged.mesh"));
 		anotherFrameListenerMode->setTextureAtlasSize(mSampleConfigFile->getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasSize());
 		anotherFrameListenerMode->setTextureSize(mSampleConfigFile->getBillboardCloudDiffuseColorMergedBillboardsTextureSize());
 		anotherFrameListenerMode->setTextureAtlasBitRange(mSampleConfigFile->getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasBitRange());
-		anotherFrameListenerMode->setTextureAtlasName(mSampleConfigFile->getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasPrefixName());
+		anotherFrameListenerMode->setTextureAtlasName(mSampleConfigFile->getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasName());
 		anotherFrameListenerMode->setTextureAtlasFolder(mSampleConfigFile->getBillboardCloudFolder());
+		anotherFrameListenerMode->setEntityName(mSampleConfigFile->getEntityClustersMergedMeshName());
 		anotherFrameListenerMode->createScene();
 		mFrameListener->addFrameListenerMode(anotherFrameListenerMode);
 	}
 
-	//{
-	//	LBBC::ClusterViewMode *anotherFrameListenerMode;
-	//	anotherFrameListenerMode = new LBBC::ClusterViewMode(mWindow,mFrameListener->getNumFrameListenerModes());
-	//	anotherFrameListenerMode->chooseSceneManager();
-	//	anotherFrameListenerMode->createCamera();
-	//	anotherFrameListenerMode->createViewports();
-	//	anotherFrameListenerMode->createScene();
-	//	mFrameListener->addFrameListenerMode(anotherFrameListenerMode);
-	//}
-
-	//{
-	//	LBBC::BillboardViewMode *anotherFrameListenerMode;
-	//	anotherFrameListenerMode = new LBBC::BillboardViewMode(mWindow,mFrameListener->getNumFrameListenerModes());
-	//	anotherFrameListenerMode->chooseSceneManager();
-	//	anotherFrameListenerMode->createCamera();
-	//	anotherFrameListenerMode->createViewports();
-	//	anotherFrameListenerMode->createScene();
-	//	mFrameListener->addFrameListenerMode(anotherFrameListenerMode);
-	//}
+	{
+		LBBC::ClusterViewMode *anotherFrameListenerMode;
+		anotherFrameListenerMode = new LBBC::ClusterViewMode(mWindow,mFrameListener->getNumFrameListenerModes());
+		anotherFrameListenerMode->chooseSceneManager();
+		anotherFrameListenerMode->createCamera();
+		anotherFrameListenerMode->createViewports();
+		anotherFrameListenerMode->createScene();
+		mFrameListener->addFrameListenerMode(anotherFrameListenerMode);
+	}
+
+	{
+		LBBC::BillboardViewMode *anotherFrameListenerMode;
+		anotherFrameListenerMode = new LBBC::BillboardViewMode(mWindow,mFrameListener->getNumFrameListenerModes());
+		anotherFrameListenerMode->chooseSceneManager();
+		anotherFrameListenerMode->createCamera();
+		anotherFrameListenerMode->createViewports();
+		anotherFrameListenerMode->createScene();
+		mFrameListener->addFrameListenerMode(anotherFrameListenerMode);
+	}
 
 	{
@@ -188,6 +191,6 @@
 		textureAtlasFrameListenerMode->setTextureAtlasBitRange(mSampleConfigFile->getBillboardCloudDiffuseColorEntityTextureAtlasBitRange());
 		textureAtlasFrameListenerMode->setTextureAtlasNumSamples(mSampleConfigFile->getBillboardCloudDiffuseColorEntityTextureAtlasNumSamples());
-		textureAtlasFrameListenerMode->setTextureName(mSampleConfigFile->getBillboardCloudDiffuseColorEntityTexturePrefixName());
-		textureAtlasFrameListenerMode->setTextureAtlasName(mSampleConfigFile->getBillboardCloudDiffuseColorEntityTextureAtlasPrefixName());
+		textureAtlasFrameListenerMode->setTextureName(mSampleConfigFile->getBillboardCloudDiffuseColorEntityTextureName());
+		textureAtlasFrameListenerMode->setTextureAtlasName(mSampleConfigFile->getBillboardCloudDiffuseColorEntityTextureAtlasName());
 		textureAtlasFrameListenerMode->setTextureAtlasFolder(mSampleConfigFile->getBillboardCloudFolder());
 
Index: GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/LBBCBillboardCloudTextureViewMode.cpp
===================================================================
--- GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/LBBCBillboardCloudTextureViewMode.cpp	(revision 745)
+++ GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/LBBCBillboardCloudTextureViewMode.cpp	(revision 747)
@@ -98,4 +98,9 @@
 }
 
+void BillboardCloudTextureViewMode::setEntityName(Ogre::String entityName)
+{
+	mEntityName = entityName;
+}
+
 void BillboardCloudTextureViewMode::setTextureAtlasBitRange(unsigned int bitRange)
 {
@@ -116,9 +121,4 @@
 {
 	mTextureAtlasName = textureAtlasName;
-}
-
-void BillboardCloudTextureViewMode::setEntityName(Ogre::String entityName)
-{
-	mEntityName = entityName;
 }
 
@@ -147,6 +147,9 @@
 
 	mClusterizedEntitiesMergedSceneNode = mSceneMgr->getRootSceneNode()->createChildSceneNode();
-	//mClusterizedEntities = mSceneMgr->createEntity(mEntityName, mEntityName);
-	mClusterizedEntities = mSceneMgr->createEntity("mapleLeavesClusterizedEntitiesMerged.mesh", "mapleLeavesClusterizedEntitiesMerged.mesh");
+	Ogre::LogManager::getSingleton().logMessage("Mesh:" + mEntityName);
+	std::cin.get();
+
+	mClusterizedEntities = mSceneMgr->createEntity(mEntityName, mEntityName);
+	//mClusterizedEntities = mSceneMgr->createEntity("mapleLeavesClusterizedEntitiesMerged.mesh", "mapleLeavesClusterizedEntitiesMerged.mesh");
     mClusterizedEntitiesMergedSceneNode->attachObject(mClusterizedEntities);
 
@@ -157,14 +160,13 @@
 	Ogre::MaterialPtr materialPtr1 = Ogre::MaterialManager::getSingleton().create("textureAtlasMaterial", Ogre::ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME);		
 	materialPtr1->getTechnique(0)->getPass(0)->setDiffuse( 1.0, 1.0, 1.0, 1.0);
-	//materialPtr1->getTechnique(0)->getPass(0)->setAlphaRejectSettings(Ogre::CMPF_GREATER_EQUAL, 10);
+	materialPtr1->getTechnique(0)->getPass(0)->setAlphaRejectSettings(Ogre::CMPF_GREATER_EQUAL, 10);
 	materialPtr1->getTechnique(0)->getPass(0)->createTextureUnitState("transparent.png");
 	materialPtr1->getTechnique(0)->getPass(0)->getTextureUnitState(0)->setTextureFiltering(Ogre::FO_NONE, Ogre::FO_NONE, Ogre::FO_NONE);			
 	materialPtr1->getTechnique(0)->getPass(0)->getTextureUnitState(0)->setTextureAddressingMode(Ogre::TextureUnitState::TAM_CLAMP);
-	materialPtr1->load();
 	mTextureAtlas->setMaterial(materialPtr1.getPointer());
 	mTextureAtlas->setCorners(-1.0, 1.0, 1.0, -1.0);	
 
 	mClusterTexture = IMG::TexturePtr( new IMG::Texture() );
-	mClusterTexture->create("clusterTexture", mTextureSize, mTextureSize, mTexturePixelFormat, mCamera);
+	mClusterTexture->create("clusterTexture", mTextureSize, mTextureSize, mSrcPixelFormat, mCamera);
 	mClusterTexture->setRenderTargetListener(&mClusterTextureListener);
 	Ogre::MaterialPtr materialPtr = Ogre::MaterialManager::getSingleton().create("textureMaterial", Ogre::ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME);		
@@ -182,5 +184,4 @@
 	mClusterTextureListener.setEntity(mClusterizedEntities);
 
-
 	mNumTextures = mClusterizedEntities->getNumSubEntities();
 	mCurrentTexture = 0;
Index: GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/IMGTextureAtlas.cpp
===================================================================
--- GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/IMGTextureAtlas.cpp	(revision 745)
+++ GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/IMGTextureAtlas.cpp	(revision 747)
@@ -186,9 +186,4 @@
 	Ogre::PixelUtil::bulkPixelConversion(pBox.data,mPixelFormat,pDest.data,pixelFormat,pBox.getWidth()*pBox.getHeight());
 
-	//if (pixelFormat == Ogre::PF_FLOAT32_RGBA)
-	//{
-	//	imdebug("rgba w=%d h=%d %p b=32f",pDest.getWidth(),pDest.getHeight(),pDest.data);
-	//}
-
 	// copyToMemory
 	Ogre::ImageCodec::ImageData *imgData = new Ogre::ImageCodec::ImageData();
Index: GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/LBBCSampleConfigFile.cpp
===================================================================
--- GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/LBBCSampleConfigFile.cpp	(revision 745)
+++ GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/LBBCSampleConfigFile.cpp	(revision 747)
@@ -11,12 +11,12 @@
 }
 
-Ogre::String SampleConfigFile::getEntitySampleMaterialPrefixName()
-{
-	return getSetting("Entity Sample Material Prefix Name");
-}
-
-Ogre::String SampleConfigFile::getEntitySampleMeshPrefixName()
-{
-	return getSetting("Entity Sample Mesh Prefix Name");
+Ogre::String SampleConfigFile::getEntitySampleMaterialName()
+{
+	return getSetting("Entity Sample Material Name");
+}
+
+Ogre::String SampleConfigFile::getEntitySampleMeshName()
+{
+	return getSetting("Entity Sample Mesh Name");
 }
 
@@ -31,12 +31,22 @@
 }
 
-Ogre::String SampleConfigFile::getEntityDistributionSplittedMaterialPrefixName()
-{
-	return getSetting("Entity Distribution Splitted Material Prefix Name");
-}
-
-Ogre::String SampleConfigFile::getEntityDistributionMergedMaterialPrefixName()
-{
-	return getSetting("Entity Distribution Merged Material Prefix Name");
+Ogre::String SampleConfigFile::getEntityDistributionSplittedMeshName()
+{
+	return getSetting("Entity Distribution Splitted Mesh Name");
+}
+
+Ogre::String SampleConfigFile::getEntityDistributionSplittedMaterialName()
+{
+	return getSetting("Entity Distribution Splitted Material Name");
+}
+
+Ogre::String SampleConfigFile::getEntityDistributionMergedMeshName()
+{
+	return getSetting("Entity Distribution Merged Mesh Name");
+}
+
+Ogre::String SampleConfigFile::getEntityDistributionMergedMaterialName()
+{
+	return getSetting("Entity Distribution Merged Material Name");
 }
 
@@ -46,7 +56,7 @@
 }
 
-Ogre::String SampleConfigFile::getEntityDistributionXMLPrefixName()
-{
-	return getSetting("Entity Distribution XML Prefix Name");
+Ogre::String SampleConfigFile::getEntityDistributionXMLName()
+{
+	return getSetting("Entity Distribution XML Name");
 }
 
@@ -57,12 +67,12 @@
 
 
-Ogre::String SampleConfigFile::getEntitiesMeshPrefixName()
-{
-	return getSetting("Entities Mesh Prefix Name");
-}
-
-Ogre::String SampleConfigFile::getBillboardCloudXMLPrefixName()
-{
-	return getSetting("Billboard Cloud XML Prefix Name");
+Ogre::String SampleConfigFile::getEntitiesMeshName()
+{
+	return getSetting("Entities Mesh Name");
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudGroupedXMLName()
+{
+	return getSetting("Billboard Cloud Grouped XML Name");
 }
 
@@ -127,17 +137,22 @@
 }
 
-Ogre::String SampleConfigFile::getEntityClustersMeshPrefixName()
-{
-	return getSetting("Entity Clusters Mesh Prefix Name");
-}
-
-Ogre::String SampleConfigFile::getEntityClustersMergedMaterialPrefixName()
-{
-	return getSetting("Entity Clusters Merged Material Prefix Name");
-}
-
-Ogre::String SampleConfigFile::getEntityClustersSplittedMaterialPrefixName()
-{
-	return getSetting("Entity Clusters Splitted Material Prefix Name");
+Ogre::String SampleConfigFile::getEntityClustersMergedMeshName()
+{
+	return getSetting("Entity Clusters Merged Mesh Name");
+}
+
+Ogre::String SampleConfigFile::getEntityClustersSplittedMeshName()
+{
+	return getSetting("Entity Clusters Splitted Mesh Name");
+}
+
+Ogre::String SampleConfigFile::getEntityClustersMergedMaterialName()
+{
+	return getSetting("Entity Clusters Merged Material Name");
+}
+
+Ogre::String SampleConfigFile::getEntityClustersSplittedMaterialName()
+{
+	return getSetting("Entity Clusters Splitted Material Name");
 }
 
@@ -147,32 +162,52 @@
 }
 
-Ogre::String SampleConfigFile::getBillboardCloudMeshPrefixName()
-{
-	return getSetting("Billboard Cloud Mesh Prefix Name");
-}
-
-Ogre::String SampleConfigFile::getBillboardCloudBillboardMaterialPrefixName()
-{
-	return getSetting("Billboard Cloud Billboard Material Prefix Name");
-}
-
-Ogre::String SampleConfigFile::getBillboardCloudBillboardGroupMaterialPrefixName()
-{
-	return getSetting("Billboard Cloud Billboard Group Material Prefix Name");
-}
-
-Ogre::String SampleConfigFile::getBillboardCloudBillboardTextureUnit0PrefixName()
-{
-	return getSetting("Billboard Cloud Billboard Texture Unit 0 Prefix Name");
-}
-
-Ogre::String SampleConfigFile::getBillboardCloudBillboardGroupTextureUnit0PrefixName()
-{
-	return getSetting("Billboard Cloud Billboard Group Texture Unit 0 Prefix Name");
-}
-
-Ogre::String SampleConfigFile::getBillboardCloudIndirectBillboardGroupTextureAtlasPrefixName()
-{
-	return getSetting("Billboard Cloud Indirect Billboard Group Texture Atlas Prefix Name");
+Ogre::String SampleConfigFile::getBillboardCloudMergedMeshName()
+{
+	return getSetting("Billboard Cloud Merged Mesh Name");
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudGroupedMeshName()
+{
+	return getSetting("Billboard Cloud Grouped Mesh Name");
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudSplittedMeshName()
+{
+	return getSetting("Billboard Cloud Splitted Mesh Name");
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudGroupedMaterialName()
+{
+	return getSetting("Billboard Cloud Grouped Material Name");
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudMergedMaterialName()
+{
+	return getSetting("Billboard Cloud Merged Material Name");
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudSplittedMaterialName()
+{
+	return getSetting("Billboard Cloud Splitted Material Name");
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudMergedTextureUnit0Name()
+{
+	return getSetting("Billboard Cloud Merged Texture Unit 0 Name");
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudGroupedTextureUnit0Name()
+{
+	return getSetting("Billboard Cloud Grouped Texture Unit 0 Name");
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudSplittedTextureUnit0Name()
+{
+	return getSetting("Billboard Cloud Splitted Texture Unit 0 Name");
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudIndirectBillboardGroupTextureAtlasName()
+{
+	return getSetting("Billboard Cloud Indirect Billboard Group Texture Atlas Name");
 }
 
@@ -232,12 +267,12 @@
 }
 
-Ogre::String SampleConfigFile::getBillboardCloudDiffuseColorEntityTexturePrefixName()
-{
-	return getSetting("Billboard Cloud Diffuse Color Entity Texture Prefix Name");
-}
-
-Ogre::String SampleConfigFile::getBillboardCloudDiffuseColorEntityTextureAtlasPrefixName()
-{
-	return getSetting("Billboard Cloud Diffuse Color Entity Texture Atlas Prefix Name");
+Ogre::String SampleConfigFile::getBillboardCloudDiffuseColorEntityTextureName()
+{
+	return getSetting("Billboard Cloud Diffuse Color Entity Texture Name");
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudDiffuseColorEntityTextureAtlasName()
+{
+	return getSetting("Billboard Cloud Diffuse Color Entity Texture Atlas Name");
 }
 
@@ -257,7 +292,7 @@
 }
 
-Ogre::String SampleConfigFile::getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasPrefixName()
-{
-	return getSetting("Billboard Cloud Diffuse Color Merged Billboards Texture Atlas Prefix Name");
+Ogre::String SampleConfigFile::getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasName()
+{
+	return getSetting("Billboard Cloud Diffuse Color Merged Billboards Texture Atlas Name");
 }
 
@@ -282,7 +317,17 @@
 }
 
-Ogre::String SampleConfigFile::getBillboardCloudIndirectMergedBillboardsTextureAtlasPrefixName()
-{
-	return getSetting("Billboard Cloud Indirect Merged Billboards Texture Atlas Prefix Name");
+Ogre::String SampleConfigFile::getBillboardCloudIndirectMergedBillboardsTextureAtlasName()
+{
+	return getSetting("Billboard Cloud Indirect Merged Billboards Texture Atlas Name");
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudSplittedXMLName()
+{
+	return getSetting("Billboard Cloud Splitted XML Name");
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudMergedXMLName()
+{
+	return getSetting("Billboard Cloud Merged XML Name");
 }
 
Index: GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/LBBCManager.cpp
===================================================================
--- GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/LBBCManager.cpp	(revision 745)
+++ GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/LBBCManager.cpp	(revision 747)
@@ -73,5 +73,5 @@
 	mLeaves = new Leaves();
 	BBC::EntityPtr entityLeaves(new BBC::Entity);
-	BBC::MeshPtr meshLeaves(new BBC::Mesh(this->loadMesh(mSampleConfigFile->getEntitiesFolder(), mSampleConfigFile->getEntitiesMeshPrefixName() + ".mesh")) );
+	BBC::MeshPtr meshLeaves(new BBC::Mesh(this->loadMesh(mSampleConfigFile->getEntitiesFolder(), mSampleConfigFile->getEntitiesMeshName())) );
 	entityLeaves->setMesh(meshLeaves);	
 	mLeaves->setEntity(entityLeaves);
@@ -114,5 +114,5 @@
 				}
 
-				entity->getSubEntity(numSerializedEntities)->setMaterialName(mSampleConfigFile->getEntityDistributionMergedMaterialPrefixName());
+				entity->getSubEntity(numSerializedEntities)->setMaterialName(mSampleConfigFile->getEntityDistributionMergedMaterialName());
 				numSerializedEntities++;			
 		}		
@@ -124,7 +124,7 @@
 			mOgreMeshSerializer->setEntity(entity);
 			mOgreMeshSerializer->exportMesh(mSampleConfigFile->getEntityClustersFolder() +
-				mSampleConfigFile->getEntityClustersMeshPrefixName() + "Splitted.mesh", false, false);
+				mSampleConfigFile->getEntityClustersSplittedMeshName(), false, false);
 			
-			OBA::OgreBase::getSingleton().getMeshSerializer()->exportMesh(entity->getMesh()->get(), mSampleConfigFile->getEntityDistributionFolder() + mSampleConfigFile->getEntitiesMeshPrefixName() + "Splitted.mesh");
+			OBA::OgreBase::getSingleton().getMeshSerializer()->exportMesh(entity->getMesh()->get(), mSampleConfigFile->getEntityDistributionFolder() + mSampleConfigFile->getEntityDistributionSplittedMeshName());
 			//OBA::OgreBase::getSingleton().getXMLMeshSerializer()->exportMesh(entity->getMesh().get(), mSampleConfigFile->getEntityClustersFolder() + mSampleConfigFile->getEntitiesMeshPrefixName() + "Splitted.mesh" + ".xml");			
 		}
@@ -134,11 +134,11 @@
 	{
 		entity->mergeSubEntities();
-		entity->getSubEntity(0)->setMaterialName(mSampleConfigFile->getEntityDistributionMergedMaterialPrefixName());
+		entity->getSubEntity(0)->setMaterialName(mSampleConfigFile->getEntityDistributionMergedMaterialName());
 	
 		mOgreMeshSerializer->setEntity(entity);
 		mOgreMeshSerializer->exportMesh(mSampleConfigFile->getEntityClustersFolder() +
-			mSampleConfigFile->getEntityClustersMeshPrefixName() + "Merged.mesh", false, false);
-		
-		OBA::OgreBase::getSingleton().getMeshSerializer()->exportMesh((Ogre::Mesh*)entity->getMesh().get(), mSampleConfigFile->getEntityDistributionFolder() + mSampleConfigFile->getEntitiesMeshPrefixName() + "Merged.mesh");
+			mSampleConfigFile->getEntityClustersMergedMeshName(), false, false);
+		
+		OBA::OgreBase::getSingleton().getMeshSerializer()->exportMesh((Ogre::Mesh*)entity->getMesh().get(), mSampleConfigFile->getEntityDistributionFolder() + mSampleConfigFile->getEntityClustersMergedMeshName());
 		//OBA::OgreBase::getSingleton().getXMLMeshSerializer()->exportMesh(entity->getMesh(), mSampleConfigFile->getEntityClustersFolder() + mSampleConfigFile->getEntitiesMeshPrefixName() + "Merged.mesh" + ".xml");				
 	}
@@ -149,5 +149,5 @@
 	TiXmlDocument *document = mLeafDistributionSerializer->create(
 									mSampleConfigFile->getEntityDistributionFolder() +
-									mSampleConfigFile->getEntityDistributionXMLPrefixName() + ".xml");
+									mSampleConfigFile->getEntityDistributionXMLName());
 	mLeafDistributionSerializer->setLeafDistribution(mLeaves->getDistribution());
 	mLeafDistributionSerializer->writeLeafDistribution(document);	
@@ -159,5 +159,5 @@
 	TiXmlDocument *document = mLeafDistributionSerializer->load(
 									mSampleConfigFile->getEntityDistributionFolder() +
-									mSampleConfigFile->getEntityDistributionXMLPrefixName() + ".xml");
+									mSampleConfigFile->getEntityDistributionXMLName());
 	mLeafDistributionSerializer->setLeafDistribution(mLeaves->getDistribution());
 	mLeafDistributionSerializer->getEntity()->setMesh(mLeaves->getEntity()->getMesh());
@@ -167,5 +167,5 @@
 	BBC::EntityDistribution *entityDistribution;
 
-	BBC::MeshPtr pMeshLeavesSplitted(new BBC::Mesh(this->loadMesh(mSampleConfigFile->getEntitiesFolder(), mSampleConfigFile->getEntitiesMeshPrefixName() + "Splitted.mesh")));
+	BBC::MeshPtr pMeshLeavesSplitted(new BBC::Mesh(this->loadMesh(mSampleConfigFile->getEntitiesFolder(), mSampleConfigFile->getEntityDistributionSplittedMeshName())));
 	entity = BBC::EntityPtr(new BBC::Entity());
 	entity->setMesh(pMeshLeavesSplitted);
@@ -205,5 +205,5 @@
 	{
 		BBC::SubEntityPtr subEntity = mLeaves->getBillboardCloud()->getEntity()->getSubEntity(iSubEntity);
-		subEntity->setMaterialName(mSampleConfigFile->getBillboardCloudBillboardGroupMaterialPrefixName());
+		subEntity->setMaterialName(mSampleConfigFile->getBillboardCloudGroupedMaterialName());
 	}
 	mOgreMeshSerializer->setEntity(mLeaves->getBillboardCloud()->getEntity());
@@ -211,7 +211,7 @@
 	Ogre::LogManager::getSingleton().logMessage("Num.SubEntities:" + Ogre::StringConverter::toString(mLeaves->getBillboardCloud()->getEntity()->getNumSubEntities()));
 	mOgreMeshSerializer->exportMesh(mSampleConfigFile->getBillboardCloudFolder() +
-				mSampleConfigFile->getBillboardCloudMeshPrefixName() + "Grouped.mesh",false, false);
-	OBA::OgreBase::getSingleton().getMeshSerializer()->exportMesh(mLeaves->getBillboardCloud()->getEntity()->getMesh()->get(), mSampleConfigFile->getBillboardCloudFolder() + mSampleConfigFile->getBillboardCloudMeshPrefixName() + "Grouped.mesh");
-	OBA::OgreBase::getSingleton().getXMLMeshSerializer()->exportMesh(mLeaves->getBillboardCloud()->getEntity()->getMesh()->get(), mSampleConfigFile->getBillboardCloudFolder() + mSampleConfigFile->getBillboardCloudMeshPrefixName() + "Grouped.mesh.xml");
+				mSampleConfigFile->getBillboardCloudGroupedMeshName(),false, false);
+	OBA::OgreBase::getSingleton().getMeshSerializer()->exportMesh(mLeaves->getBillboardCloud()->getEntity()->getMesh()->get(), mSampleConfigFile->getBillboardCloudFolder() + mSampleConfigFile->getBillboardCloudGroupedMeshName());
+	OBA::OgreBase::getSingleton().getXMLMeshSerializer()->exportMesh(mLeaves->getBillboardCloud()->getEntity()->getMesh()->get(), mSampleConfigFile->getBillboardCloudFolder() + mSampleConfigFile->getBillboardCloudGroupedMeshName() + ".xml");
 }
 
@@ -222,5 +222,5 @@
 	{
 		BBC::SubEntityPtr subEntity = mLeaves->getBillboardCloud()->getEntity()->getSubEntity(iSubEntity);
-		subEntity->setMaterialName(mSampleConfigFile->getBillboardCloudBillboardMaterialPrefixName());
+		subEntity->setMaterialName(mSampleConfigFile->getBillboardCloudSplittedMaterialName());
 	}
 
@@ -230,9 +230,8 @@
 
 	mOgreMeshSerializer->exportMesh(mSampleConfigFile->getBillboardCloudFolder() +
-				mSampleConfigFile->getBillboardCloudMeshPrefixName() + "Splitted.mesh",false, false);
-
-	OBA::OgreBase::getSingleton().getMeshSerializer()->exportMesh(mLeaves->getBillboardCloud()->getEntity()->getMesh()->get(), mSampleConfigFile->getBillboardCloudFolder() + mSampleConfigFile->getBillboardCloudMeshPrefixName() + "Splitted.mesh");
-
-	OBA::OgreBase::getSingleton().getXMLMeshSerializer()->exportMesh(mLeaves->getBillboardCloud()->getEntity()->getMesh()->get(), mSampleConfigFile->getBillboardCloudFolder() + mSampleConfigFile->getBillboardCloudMeshPrefixName() + "Splitted.mesh.xml");
+				mSampleConfigFile->getBillboardCloudSplittedMeshName(),false, false);
+
+	OBA::OgreBase::getSingleton().getMeshSerializer()->exportMesh(mLeaves->getBillboardCloud()->getEntity()->getMesh()->get(), mSampleConfigFile->getBillboardCloudFolder() + mSampleConfigFile->getBillboardCloudSplittedMeshName());
+	OBA::OgreBase::getSingleton().getXMLMeshSerializer()->exportMesh(mLeaves->getBillboardCloud()->getEntity()->getMesh()->get(), mSampleConfigFile->getBillboardCloudFolder() + mSampleConfigFile->getBillboardCloudSplittedMeshName() + ".xml");
 }
 
@@ -242,5 +241,5 @@
 	{
 		BBC::SubEntityPtr subEntity = mLeaves->getBillboardCloud()->getEntity()->getSubEntity(iSubEntity);
-		subEntity->setMaterialName(mSampleConfigFile->getBillboardCloudBillboardGroupMaterialPrefixName());
+		subEntity->setMaterialName(mSampleConfigFile->getBillboardCloudGroupedMaterialName());
 	}
 	mOgreMeshSerializer->setEntity(mLeaves->getBillboardCloud()->getEntity());
@@ -248,7 +247,7 @@
 	Ogre::LogManager::getSingleton().logMessage("Num.SubEntities:" + Ogre::StringConverter::toString(mLeaves->getBillboardCloud()->getEntity()->getNumSubEntities()));
 	mOgreMeshSerializer->exportMesh(mSampleConfigFile->getBillboardCloudFolder() +
-				mSampleConfigFile->getBillboardCloudMeshPrefixName() + "Merged.mesh",false, false);
-	OBA::OgreBase::getSingleton().getMeshSerializer()->exportMesh(mLeaves->getBillboardCloud()->getEntity()->getMesh()->get(), mSampleConfigFile->getBillboardCloudFolder() + mSampleConfigFile->getBillboardCloudMeshPrefixName() + "Merged.mesh");	
-	OBA::OgreBase::getSingleton().getXMLMeshSerializer()->exportMesh(mLeaves->getBillboardCloud()->getEntity()->getMesh()->get(), mSampleConfigFile->getBillboardCloudFolder() + mSampleConfigFile->getBillboardCloudMeshPrefixName() + "Merged.mesh.xml");	
+				mSampleConfigFile->getBillboardCloudMergedMeshName(),false, false);
+	OBA::OgreBase::getSingleton().getMeshSerializer()->exportMesh(mLeaves->getBillboardCloud()->getEntity()->getMesh()->get(), mSampleConfigFile->getBillboardCloudFolder() + mSampleConfigFile->getBillboardCloudMergedMeshName());	
+	OBA::OgreBase::getSingleton().getXMLMeshSerializer()->exportMesh(mLeaves->getBillboardCloud()->getEntity()->getMesh()->get(), mSampleConfigFile->getBillboardCloudFolder() + mSampleConfigFile->getBillboardCloudMergedMeshName() + ".xml");	
 }
 
@@ -257,5 +256,5 @@
 	TiXmlDocument *document2 = mBillboardCloudSerializer->create(
 									mSampleConfigFile->getBillboardCloudFolder() + 
-									mSampleConfigFile->getBillboardCloudXMLPrefixName() + ".xml");
+									mSampleConfigFile->getBillboardCloudSplittedXMLName());
 	mBillboardCloudSerializer->setBillboardCloud(mLeaves->getBillboardCloud());
 	mBillboardCloudSerializer->writeBillboardCloud(document2, false);	
@@ -267,5 +266,5 @@
 	TiXmlDocument *document2 = mBillboardCloudSerializer->create(
 									mSampleConfigFile->getBillboardCloudFolder() + 
-									mSampleConfigFile->getBillboardCloudXMLPrefixName() + "Grouped.xml");
+									mSampleConfigFile->getBillboardCloudGroupedXMLName());
 	mBillboardCloudSerializer->setBillboardCloud(mLeaves->getBillboardCloud());
 	mBillboardCloudSerializer->writeBillboardCloud(document2, true);	
@@ -277,5 +276,5 @@
 	TiXmlDocument *document2 = mBillboardCloudSerializer->create(
 									mSampleConfigFile->getBillboardCloudFolder() + 
-									mSampleConfigFile->getBillboardCloudXMLPrefixName() + "Merged.xml");
+									mSampleConfigFile->getBillboardCloudMergedXMLName());
 	mBillboardCloudSerializer->setBillboardCloud(mLeaves->getBillboardCloud());
 	mBillboardCloudSerializer->writeBillboardCloud(document2, true);	
@@ -287,5 +286,5 @@
 	TiXmlDocument *document = mBillboardCloudSerializer->load(
 									mSampleConfigFile->getBillboardCloudFolder() +
-									mSampleConfigFile->getBillboardCloudXMLPrefixName() + ".xml");
+									mSampleConfigFile->getBillboardCloudSplittedXMLName());
 
 	mBillboardCloudSerializer->setBillboardCloud(mLeaves->getBillboardCloud());
@@ -297,5 +296,5 @@
 	TiXmlDocument *document = mBillboardCloudSerializer->load(
 									mSampleConfigFile->getBillboardCloudFolder() +
-									mSampleConfigFile->getBillboardCloudXMLPrefixName() + "Grouped.xml");
+									mSampleConfigFile->getBillboardCloudGroupedXMLName());
 	
 	mBillboardCloudSerializer->setBillboardCloud(mLeaves->getBillboardCloud());
@@ -307,5 +306,5 @@
 	TiXmlDocument *document = mBillboardCloudSerializer->load(
 									mSampleConfigFile->getBillboardCloudFolder() +
-									mSampleConfigFile->getBillboardCloudXMLPrefixName() + "Merged.xml");
+									mSampleConfigFile->getBillboardCloudMergedXMLName());
 
 	mBillboardCloudSerializer->setBillboardCloud(mLeaves->getBillboardCloud());
@@ -330,12 +329,12 @@
 			{					
 				BBC::EntityPtr entityClusterized = entityCluster->getEntity();
-				entityClusterized->getSubEntity(0)->setMaterialName(mSampleConfigFile->getEntityClustersSplittedMaterialPrefixName());
+				entityClusterized->getSubEntity(0)->setMaterialName(mSampleConfigFile->getEntityClustersSplittedMaterialName());
 				mOgreMeshSerializer->setEntity(entityClusterized);
 				mOgreMeshSerializer->exportMesh(mSampleConfigFile->getEntityDistributionFolder() +
-					mSampleConfigFile->getEntityClustersMeshPrefixName() +
+					mSampleConfigFile->getEntityClustersSplittedMeshName() +
 					Ogre::StringConverter::toString(numSerializedBillboards) + ".mesh", !(mSampleConfigFile->getEntityClustersSplittedClusters()), false);
 				OBA::OgreBase::getSingleton().getMeshSerializer()->exportMesh(entityClusterized->getMesh()->get(),
 					mSampleConfigFile->getEntityClustersFolder() +
-					mSampleConfigFile->getEntityClustersMeshPrefixName() +
+					mSampleConfigFile->getEntityClustersSplittedMeshName() +
 					Ogre::StringConverter::toString(numSerializedBillboards) + ".mesh");
 				//OBA::OgreBase::getSingleton().getXMLMeshSerializer()->exportMesh(entityClusterized->getMesh(), entityClusterized->getMesh()->getName() + ".xml");
@@ -360,5 +359,5 @@
 			{			
 				BBC::EntityPtr entityClusterized = entityCluster->getEntity();
-				entityClusterized->getSubEntity(0)->setMaterialName(mSampleConfigFile->getEntityClustersMergedMaterialPrefixName());
+				entityClusterized->getSubEntity(0)->setMaterialName(mSampleConfigFile->getEntityClustersMergedMaterialName());
 				BBC::SubEntityPtr subEntity = entityClusterized->getSubEntity(0);
 
@@ -384,10 +383,8 @@
 		mOgreMeshSerializer->setEntity(entity);
 		mOgreMeshSerializer->exportMesh(mSampleConfigFile->getEntityClustersFolder() +
-			mSampleConfigFile->getEntityClustersMeshPrefixName() + "Merged.mesh", false, false);
-		
-		OBA::OgreBase::getSingleton().getMeshSerializer()->exportMesh(entity->getMesh()->get(), mSampleConfigFile->getEntityClustersFolder() + mSampleConfigFile->getEntityClustersMeshPrefixName() + "Merged.mesh");
+			mSampleConfigFile->getEntityClustersMergedMeshName(), false, false);
+		
+		OBA::OgreBase::getSingleton().getMeshSerializer()->exportMesh(entity->getMesh()->get(), mSampleConfigFile->getEntityClustersFolder() + mSampleConfigFile->getEntityClustersMergedMeshName());
 		//OBA::OgreBase::getSingleton().getXMLMeshSerializer()->exportMesh(entity->getMesh(), mSampleConfigFile->getEntityClustersFolder() + mSampleConfigFile->getEntityClustersMeshPrefixName() + "Merged.mesh" + ".xml");
-
-		Ogre::LogManager::getSingleton().logMessage("Before deleting:" + mSampleConfigFile->getEntityClustersMeshPrefixName() + "Merged.mesh");	
 	}
 }
@@ -406,15 +403,14 @@
 {
 	BBC::EntityPtr entityLeaf = mLeaves->getDistribution()->getEntity(2);
-	entityLeaf->getSubEntity(0)->setMaterialName(mSampleConfigFile->getEntitySampleMaterialPrefixName());
+	entityLeaf->getSubEntity(0)->setMaterialName(mSampleConfigFile->getEntitySampleMaterialName());
 	mOgreMeshSerializer->setEntity(entityLeaf);
 	mOgreMeshSerializer->exportMesh(mSampleConfigFile->getEntityDistributionFolder() +
-		mSampleConfigFile->getEntitySampleMeshPrefixName(), false, false);
-	OBA::OgreBase::getSingleton().getMeshSerializer()->exportMesh(entityLeaf->getMesh()->get(), mSampleConfigFile->getEntityDistributionFolder() + mSampleConfigFile->getEntitySampleMeshPrefixName() + ".mesh");
-	OBA::OgreBase::getSingleton().getXMLMeshSerializer()->exportMesh(entityLeaf->getMesh()->get(), mSampleConfigFile->getEntityDistributionFolder() + mSampleConfigFile->getEntitySampleMeshPrefixName() + ".mesh.xml");	
+		mSampleConfigFile->getEntitySampleMeshName(), false, false);
+	OBA::OgreBase::getSingleton().getMeshSerializer()->exportMesh(entityLeaf->getMesh()->get(), mSampleConfigFile->getEntityDistributionFolder() + mSampleConfigFile->getEntitySampleMeshName());
+	OBA::OgreBase::getSingleton().getXMLMeshSerializer()->exportMesh(entityLeaf->getMesh()->get(), mSampleConfigFile->getEntityDistributionFolder() + mSampleConfigFile->getEntitySampleMeshName() + ".xml");	
 }
 
 void LBBCManager::generateEntityClusters()
 {
-	Ogre::LogManager::getSingleton().logMessage("EntityClustersMeshPrefixName:" + mSampleConfigFile->getEntityClustersMeshPrefixName());
 	createEntityClusters();
 	saveEntityClusters();	
